package com.psdc.entity;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;



/**
 * 设备控制日志表
 *
 * @author stone
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class PsdcControlLog implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 控制日志id
     */
    private Integer controlLogId;
    /**
     * 设备id
     */
    private Integer deviceId;
    /**
     * 设备名称
     */
    private String deviceName;
    /**
     * 设备sn
     */
    private String deviceSn;
    /**
     * 控制指令
     */
    private String controlKey;
    /**
     * 控制内容
     */
    private String controlValue;
    /**
     * 控制结果：1-控制中，2-控制成功，3-控制失败
     */
    private Integer controlResult;
    /**
     * 控制结果描述
     */
    private String controlContext;
    /**
     * 创建者
     */
    private String createBy;
    /**
     * 创建时间
     */
    private String createTime;
    /**
     * 更新者
     */
    private String updateBy;
    /**
     * 更新时间
     */
    private String updateTime;

    public PsdcControlLog(Integer deviceId, String deviceName, String deviceSn, String controlKey, String controlValue, Integer controlResult,String controlContext, String createBy) {
        this.deviceId = deviceId;
        this.deviceName = deviceName;
        this.deviceSn = deviceSn;
        this.controlKey = controlKey;
        this.controlValue = controlValue;
        this.controlResult = controlResult;
        this.controlContext = controlContext;
        this.createBy = createBy;
    }
}