package com.psdc.entity;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 电表历史数据;
 * @author : stone
 * @date : 2023-4-23
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class PsdcElectricHtdata implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    private Integer electricHtdataId;
    /**
     * 设备id
     */
    private Integer deviceId;
    /**
     * 更新时间
     */
    private String updateTime;
    /**
     * 与上一条相差用电量
     */
    private Double useDeiffen;
    /**
     * A 相电压
     */
    private Double ua;
    /**
     * B 相电压
     */
    private Double ub;
    /**
     * C 相电压
     */
    private Double uc;
    /**
     * A 相电流
     */
    private Double ia;
    /**
     * B 相电流
     */
    private Double ib;
    /**
     * C 相电流
     */
    private Double ic;
    /**
     * A 相有功功率
     */
    private Double pa;
    /**
     * B 相有功功率
     */
    private Double pb;
    /**
     * C 相有功功率
     */
    private Double pc;
    /**
     * 总有功功率
     */
    private Double totp;
    /**
     * A 相无功功率
     */
    private Double qa;
    /**
     * B 相无功功率
     */
    private Double qb;
    /**
     * C 相无功功率
     */
    private Double qc;
    /**
     * 总无功功率
     */
    private Double totq;
    /**
     * A 相功率因数
     */
    private Double pfa;
    /**
     * B 相功率因数
     */
    private Double pfb;
    /**
     * C 相功率因数
     */
    private Double pfc;
    /**
     * 总功率因数
     */
    private Double totpf;
    /**
     * 正向有功电能
     */
    private Double supwh;
    /**
     * 反向有功电能
     */
    private Double rtlwh;
    /**
     * 正向无功电能
     */
    private Double supqh;
    /**
     * 反向无功电能
     */
    private Double rtlqh;
    /**
     * A 相视在功率
     */
    private Double sa;
    /**
     * B 相视在功率
     */
    private Double sb;
    /**
     * C 相视在功率
     */
    private Double sc;
    /**
     * 总视在功率
     */
    private Double tots;
    /**
     * 当前总有功电能
     */
    private Double totwh;
    /**
     * 当前总有功尖电能
     */
    private Double totwh1;
    /**
     * 当前总有功峰电能
     */
    private Double totwh2;
    /**
     * 当前总有功平电能
     */
    private Double totwh3;
    /**
     * 当前总有功谷电能
     */
    private Double totwh4;
    /**
     * 频率
     */
    private Double hz;
    /**
     * AB 相电压(Uab)
     */
    private Double uab;
    /**
     * BC 相电压(Ubc)
     */
    private Double ubc;
    /**
     * CA相电压(Uca)
     */
    private Double uca;
    /**
     * 当前组合有功总电能
     */
    private Double combwh;
    /**
     * 当前组合无功总电能
     */
    private Double combqh;
}