package com.psdc.mapper;

import java.util.List;

import com.psdc.entity.PsdcElectricHtdata;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.data.domain.Pageable;


 /**
 * 电表实时数据;(psdc_electric_htdata)表数据库访问层
 * @author : http://www.chiner.pro
 * @date : 2023-4-23
 */
@Mapper
public interface PsdcElectricHtdataMapper{
    /** 
     * 通过ID查询单条数据 
     *
     * @param electricRtdataId 主键
     * @return 实例对象
     */
    PsdcElectricHtdata queryById(Integer electricHtdataId);
    /** 
     * 分页查询指定行数据
     *
     * @param psdcElectricHtdata 查询条件
     * @param pageable 分页对象
     * @return 对象列表
     */
    List<PsdcElectricHtdata> queryAllByLimit(PsdcElectricHtdata psdcElectricHtdata, @Param("pageable") Pageable pageable);
    /** 
     * 统计总行数
     *
     * @param psdcElectricHtdata 查询条件
     * @return 总行数
     */
    long count(PsdcElectricHtdata psdcElectricHtdata);
    /** 
     * 新增数据
     *
     * @param psdcElectricHtdata 实例对象
     * @return 影响行数
     */
    int insert(PsdcElectricHtdata psdcElectricHtdata);
    /**
     * 更新数据
     *
     * @param psdcElectricHtdata 实例对象
     * @return 影响行数
     */
    int update(PsdcElectricHtdata psdcElectricHtdata);
    /** 
     * 通过主键删除数据
     *
     * @param electricRtdataId 主键
     * @return 影响行数
     */
    int deleteById(Integer electricHtdataId);
}