package com.psdc.mapper;

import java.util.List;

import com.psdc.entity.PsdcElectricRtdata;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.data.domain.Pageable;


 /**
 * 电表实时数据;(psdc_electric_rtdata)表数据库访问层
 * @author : http://www.chiner.pro
 * @date : 2023-4-23
 */
@Mapper
public interface PsdcElectricRtdataMapper{
    /** 
     * 通过ID查询单条数据 
     *
     * @param electricRtdataId 主键
     * @return 实例对象
     */
    PsdcElectricRtdata queryById(Integer electricRtdataId);
    /** 
     * 分页查询指定行数据
     *
     * @param psdcElectricRtdata 查询条件
     * @param pageable 分页对象
     * @return 对象列表
     */
    List<PsdcElectricRtdata> queryAllByLimit(PsdcElectricRtdata psdcElectricRtdata, @Param("pageable") Pageable pageable);
    /** 
     * 统计总行数
     *
     * @param psdcElectricRtdata 查询条件
     * @return 总行数
     */
    long count(PsdcElectricRtdata psdcElectricRtdata);
    /** 
     * 新增数据
     *
     * @param psdcElectricRtdata 实例对象
     * @return 影响行数
     */
    int insert(PsdcElectricRtdata psdcElectricRtdata);
    /** 
     * 更新数据
     *
     * @param psdcElectricRtdata 实例对象
     * @return 影响行数
     */
    int update(PsdcElectricRtdata psdcElectricRtdata);
    /** 
     * 通过主键删除数据
     *
     * @param electricRtdataId 主键
     * @return 影响行数
     */
    int deleteById(Integer electricRtdataId);
}