package com.psdc.mapper;

import java.util.List;

import com.psdc.entity.PsdcThermometerHtdata;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.data.domain.Pageable;


 /**
 * 温度历史数据;(psdc_thermometer_htdata)表数据库访问层
 * @author : http://www.chiner.pro
 * @date : 2023-4-23
 */
@Mapper
public interface PsdcThermometerHtdataMapper{
    /** 
     * 通过ID查询单条数据 
     *
     * @param thermometerHtdataId 主键
     * @return 实例对象
     */
    PsdcThermometerHtdata queryById(Integer thermometerHtdataId);
    /** 
     * 分页查询指定行数据
     *
     * @param psdcThermometerHtdata 查询条件
     * @param pageable 分页对象
     * @return 对象列表
     */
    List<PsdcThermometerHtdata> queryAllByLimit(PsdcThermometerHtdata psdcThermometerHtdata, @Param("pageable") Pageable pageable);
    /** 
     * 统计总行数
     *
     * @param psdcThermometerHtdata 查询条件
     * @return 总行数
     */
    long count(PsdcThermometerHtdata psdcThermometerHtdata);
    /** 
     * 新增数据
     *
     * @param psdcThermometerHtdata 实例对象
     * @return 影响行数
     */
    int insert(PsdcThermometerHtdata psdcThermometerHtdata);
    /** 
     * 更新数据
     *
     * @param psdcThermometerHtdata 实例对象
     * @return 影响行数
     */
    int update(PsdcThermometerHtdata psdcThermometerHtdata);
    /** 
     * 通过主键删除数据
     *
     * @param thermometerHtdataId 主键
     * @return 影响行数
     */
    int deleteById(Integer thermometerHtdataId);
}