package com.psdc.mapper;
import java.util.List;

import com.psdc.entity.PsdcThermometerRtdata;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.data.domain.Pageable;


 /**
 * 温度实时数据;(psdc_thermometer_rtdata)表数据库访问层
 * @author : http://www.chiner.pro
 * @date : 2023-4-23
 */
@Mapper
public interface PsdcThermometerRtdataMapper{
    /** 
     * 通过ID查询单条数据 
     *
     * @param thermometerRtdataId 主键
     * @return 实例对象
     */
    PsdcThermometerRtdata queryById(Integer thermometerRtdataId);
    /** 
     * 分页查询指定行数据
     *
     * @param psdcThermometerRtdata 查询条件
     * @param pageable 分页对象
     * @return 对象列表
     */
    List<PsdcThermometerRtdata> queryAllByLimit(PsdcThermometerRtdata psdcThermometerRtdata, @Param("pageable") Pageable pageable);
    /** 
     * 统计总行数
     *
     * @param psdcThermometerRtdata 查询条件
     * @return 总行数
     */
    long count(PsdcThermometerRtdata psdcThermometerRtdata);
    /** 
     * 新增数据
     *
     * @param psdcThermometerRtdata 实例对象
     * @return 影响行数
     */
    int insert(PsdcThermometerRtdata psdcThermometerRtdata);
    /** 
     * 更新数据
     *
     * @param psdcThermometerRtdata 实例对象
     * @return 影响行数
     */
    int update(PsdcThermometerRtdata psdcThermometerRtdata);
    /** 
     * 通过主键删除数据
     *
     * @param thermometerRtdataId 主键
     * @return 影响行数
     */
    int deleteById(Integer thermometerRtdataId);
}